#include<stdio.h>
#define B 12

// Affiche les chiffres de l'inverse
void affinv(int n){
  int r; int q;

  r=1; 

  do{
    q=(B*r) / n;
    r=(B*r) % n;
    printf("%i", q);
  }
  while (r!=1);
  
  printf("\n");
}

int pgcd(int a, int b){
  int t;
  
  while(b!=0){
    t=b;
    b=a%b;
    a=t;
  }

  return a;
}


//Calcule la longueur de la priode
int periode(int n){
  int r; int q; int i;

  r=1; i=0;

  do{
    q=(B*r) / n;
    r=(B*r) % n;
    //printf("%i", q);
    i++;
  }
  while (r!=1);
  //printf("\n");

  return i;
}



main(){  
  int n, d;
  int prem, ferm;

  for(n=2; n<10000; n++){
    if (pgcd(n, B) == 1){
      //On teste si n est premier
      d=2;
      while(d<=n/2 && n%d != 0) d++;
      prem = (n%d != 0);
    
      ferm = (n-1) % periode(n)  == 0;

      if (ferm && prem) printf("%i confirme le petit theoreme de Fermat\n", n);
      if (!ferm && prem) printf("%i infirme le petit theoreme de Fermat\n", n);
      if (ferm && !prem) printf("%i infirme la reciproque du petit theoreme de Fermat\n", n);
    
    }
    
  }
  
}
