#include <stdio.h>
/*Programme de calcul d'échéancier simplifié:
  A partir:
         du taux d'intérêt mensuel
         du taux des frais mensuels par rapport à la la somme empruntée
         du montant des mensualités de remboursement

         On considère que la mensualité d'un mois donné est composée
         d'une part d'intérêts sur le mois écoulé, d'une part de frais
         (assurance et divers frais) et d'une part d'amortissement.
*/
main()
{ const float tauxfrais = 0.000725;
  int i;
  float S,Sact,Rembparmois,interet,capitalremb;
  float fraisparmois,tauxmensuel,totalremb;
/*REMARQUES*/
/*tauxfrais = taux des frais mensuels par rapport à  la somme empruntée*/
/*i = numéro de la mensualité en cours*/
/*S = somme empruntée*/
/*Sact = somme actuelle, restant à  rembourser*/
/*Rembparmois = montant des mensualités de remboursement*/
/*intérêt = montant des intérêts du mois en cours*/
/*capitalremb = montant de l'amortissement du mois en cours*/
/*fraispar mois = montant des frais mensuels = S * tauxfrais*/
/*tauxmensuel = taux mensuel des intérêts (1% sera donné par 0.01)*/
/*totalremb = montant total des remboursements*/
/*les calculs ne sont pas arrondis à  2 décimales : le programme*/
/*pourrait facilement être amélioré en effectuant ces arrondis*/
  printf("Somme empruntée ? ");
  scanf("%f",&S);
  printf("Remboursements mensuels souhaités ? ");
  scanf("%f",&Rembparmois);
  printf("Taux mensuel de l'emprunt (0.01 par exemple) ?");
  scanf("%f",&tauxmensuel);
  printf("\n");
  if (Rembparmois<=S*(tauxmensuel+tauxfrais))
    printf("IMPOSSIBLE : remboursement trop faible\n");
  else
  { Sact=S; i=0;fraisparmois=S*tauxfrais;
    totalremb=0;
    printf("durée      Paiement     capital remboursé   intérêt");
    printf("   frais   capital restant\n");
    do
    { i=i+1;
      interet=Sact*tauxmensuel;
      if (Rembparmois > Sact+interet+fraisparmois)
      {  Rembparmois=Sact+interet+fraisparmois;
         capitalremb=Sact;
         Sact=0;
      }
      else
      { capitalremb=Rembparmois-interet-fraisparmois;
        /* Sact=Sact-Rembparmois+interet+fraisparmois;  soit:*/
        Sact -= capitalremb;
      }
        totalremb += Rembparmois;
        printf("%4d %14.2f %14.2f %15.2f %8.2f %13.2f\n",
                i,Rembparmois,capitalremb,interet,fraisparmois,Sact);
    } while (Sact>0);
    printf("\nle montant total des remboursements est : %14.2f\n",
            totalremb);
  }
}
 
